<template>
    <el-dialog title="审核" v-model="dialogVisible" width="900px" append-to-body @close="cloaseDialog"
  >
    <el-form>
      <!-- <el-form-item label="审核类型">
        <el-select style="width: 200px;" v-model="form.checkType">
          <el-option label="企业审批" value="1"></el-option>
          <el-option label="企业审批" value="2"></el-option>
        </el-select>
      </el-form-item> -->
      <el-form-item label="审核状态">
        <el-radio-group v-model="form.checkStatus" class="ml-4">
          <el-radio value="1" size="large">通过</el-radio>
          <el-radio value="-1" size="large">拒绝</el-radio>
        </el-radio-group>
      </el-form-item>
      <el-form-item label="审核说明">
        <el-input    type="textarea"      v-model="form.checkReason"  ></el-input>
      </el-form-item>
    </el-form>
    <template #footer>
      <div style="text-align: center;">
        <el-button @click="cloaseDialog" >关闭</el-button>
        <el-button @click="checkOrder" type="primary">确认</el-button>
      </div>
    </template>
  </el-dialog>
</template>

<script setup lang="ts">
import { checkOrder as httpCheck } from '@/api/system/company/company'
import { ElMessage } from 'element-plus'
const dialogVisible = ref(false)
const info = ref({})
const form = ref({})
const cloaseDialog = () => {
  dialogVisible.value = false
}
const openDialog = (row) => {
  info.value = row
  form.value['id'] = row.companyId
  form.value['checkType'] = 1
  dialogVisible.value = true
}
function checkOrder() {
  if(!form.value.checkStatus) {
    ElMessage.error('请填写审核状态')
    return
  }
  if(form.value.checkStatus == -1 && !form.value.checkReason) {
    ElMessage.error('请填写审核说明')
    return
  }
  httpCheck(form.value).then(res => {
    form.value = res.data
  })
}
defineExpose({
  openDialog,
  cloaseDialog
})
</script>